const TokenKey = 'A-Token'
const UserIdKey = 'userData'
const TypesKey = 'types'


export function getUserData () {
    return JSON.parse(localStorage.getItem(UserIdKey)); 
}
export function setUserData (data) {
     localStorage.setItem(UserIdKey,JSON.stringify(data))
}
export function getTyps (id) {
	 if(id){
		 var arr=JSON.parse(localStorage.getItem(TypesKey));
		 var item=arr.filter(element => {
		       return  typeof(id)=='string'?element.code==id:element.id==id
		 });
		 return item[0]
	 }else{
		 return JSON.parse(localStorage.getItem(TypesKey));
	 }
}

export function getIsCreator (key) {
	 let is=false;
	 getUserData().employee_detail.role_list.forEach(item=>{ 
		 if(key==item.name){
			 is=true;
		 }
	 })
	 return is
}

export function supremeAuthority () {//获取当前角色最高权限     判断是否为某项权限：this.$authoritys('dept_manager') 或 this.$supremeAuthority() == 'dept_manager'
	if(getIsCreator('creator')){
		return 'creator'
	}else if(getIsCreator('admin')){
		return 'admin'
	}else if(getIsCreator('point_manager')){
		return 'point_manager'
	}else if(getIsCreator('dept_manager')){
		return 'dept_manager'
	}else if(getIsCreator('employee')){
		return 'employee'
	}
}
export function authoritys (key) {//判断是否为某项权限：this.$authoritys('dept_manager')
	return supremeAuthority() == key
}

export function setTyps (data) {
     localStorage.setItem(TypesKey,JSON.stringify(data))
}

export function getToken () {
    return localStorage.getItem(TokenKey)
}

export function setToken (token) {
     localStorage.setItem(TokenKey, token)
}

